开始注册身份验证器应用
curl --request POST \
--url https://api.qbank.cl/platform/v1/me/totp/enroll \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"password": "my-strong-pass"
}
'import requests
url = "https://api.qbank.cl/platform/v1/me/totp/enroll"
payload = { "password": "my-strong-pass" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({password: 'my-strong-pass'})
};
fetch('https://api.qbank.cl/platform/v1/me/totp/enroll', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totp_secret": "JBSWY3DPEHPK3PXP",
"otpauth_uri": "otpauth://totp/CBPay:taylor@example.com?secret=JBSWY3DPEHPK3PXP&issuer=CBPay",
"qr_png_base64": "iVBORw0KGgo…",
"note": "scan the QR (or type the secret) in your authenticator app, then confirm with POST /v1/me/totp/confirm"
}开始注册身份验证器应用
生成 TOTP 密钥并返回 otpauth:// URI 及可在 Google Authenticator / Authy 中扫描的 QR PNG。需要当前密码(若成员设有密码)。用 POST /v1/me/totp/confirm 确认。
POST
/
v1
/
me
/
totp
/
enroll
开始注册身份验证器应用
最后修改于 2026年7月18日
⌘I